Bug 868941 - RFE: Ability to change Retention tag for CC-ed users
RFE: Ability to change Retention tag for CC-ed users
Status: CLOSED WONTFIX
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Dan Callaghan
GroupModel
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 10:05 EDT by Zbysek MRAZ
Modified: 2013-07-03 09:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-06 01:44:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbysek MRAZ 2012-10-22 10:05:08 EDT
Would be great to have the ability for the CCed users in the job to be able to change the tag as from command-line so from the webui.

For now the client is screaming about the Permissions:
bkr job-modify -t audit J:298024
<Fault 1: '<class \'bkr.common.bexceptions.BeakerException\'>:"No permission to modify Job(status=TaskStatus.completed, product_id=None, deleted=None, ftasks=70L, whiteboard=u\'TR#45574 - BaseOS / Tier 1 / Security / RHEL5.9 on RHEL5.9-Server-20120910.0 - singlehost\', ktasks=0L, ptasks=1142L, result=TaskResult.fail, to_delete=None, wtasks=8L, owner=baseos-qe, retention_tag_id=1L, ttasks=1220L, id=298024L, owner_id=1727L)"'>
No jobs modified

On the web page you are not allowed to change it as well
Comment 1 Dan Callaghan 2012-10-22 19:44:16 EDT
I'm not sure it is universally agreed that the job cc list should be allowed to modify jobs.

The other problem is that the job cc list is (quite intentionally) a list of e-mail addresses, not user accounts, and I expect they very often don't map to any user account.
Comment 2 Nick Coghlan 2013-02-06 01:44:46 EST
We are not going to implement this, but see 908183 for something we *are* going to implement that provides equivalent functionality by permitting the creation of jobs that are owned by a group rather than an individual user.

Note You need to log in before you can comment on or make changes to this bug.